package com.eactive.eai.rms.onl.transaction.simpleinterface;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import com.eactive.eai.transformer.util.Logger;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Repository("simpleInterfaceDao")
public class SimpleInterfaceDao extends SqlMapClientTemplateDao {

	private static final Logger logger = Logger.getLogger(SimpleInterfaceDao.class);

	public int selectListCount(HashMap<?, ?> paramMap) throws Exception {
		return (Integer) template.queryForObject("Interface.selectListCount", paramMap);
	}

	public List<?> selectList(HashMap<?, ?> paramMap) throws Exception {
		return template.queryForList("Interface.selectList", paramMap);
	}

	public HashMap selectDetail(HashMap paramMap) throws Exception {
		return (HashMap) template.queryForObject("Interface.selectDetail", paramMap);
	}
}
